package com.patzn.lims.consume.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.common.Tree;
import com.patzn.lims.consume.vo.LmsChemicalCategoryVO;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.consume.entity.LmsChemicalCategory;

import java.util.List;

/**
 * <p>
 * 试验耗材分类表 服务类
 * </p>
 *
 * @author wwd
 * @since 2020-03-21
 */
public interface ILmsChemicalCategoryService extends IBaseService<LmsChemicalCategory> {

    Page<LmsChemicalCategory> page(Page<LmsChemicalCategory> page, LmsChemicalCategory lmsChemicalCategory);

    List<Tree> getTree(LmsChemicalCategory chemicalCategory);

    Page<LmsChemicalCategoryVO> pageVO(Page page, LmsChemicalCategoryVO vo);

    List<LmsChemicalCategory> getCategoryAllTree(String name);


    List<LmsChemicalCategory> listIncludeRoleId(Long roleId);

    boolean saveRoleCategory(Long roleId, Long[] categoryIds);

    List<LmsChemicalCategoryVO> listRecursive(LmsChemicalCategoryVO lmsChemicalCategoryVO);
}
